{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Postular a un Proyecto" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Postular a un Proyecto" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="ibox-content">
            {% if messages %}
                {% for message in messages %}
                    <div {% if message.tags %} class="alert alert-{{ message.tags }} alert-dismissable" {% endif %}>
                        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
    </div>
    {% for project in Projects %}
    <div class="col-lg-4 animated fadeInRight">
        <div class="widget-head-color-box blue-bg p-lg text-center">
            <div class="m-b-md">
            <h2 class="font-bold no-margins">
                {{project.name}}
            </h2>
                <h3>{% trans "Autor: "%}{{project.author.first_name}} {{project.author.last_name}}</h3>
            </div>
            <img src="{% static 'img/FaviconUNAB.png' %}" class="img-circle circle-border m-b-md" alt="profile">
        </div>
        <div class="widget-text-box">
            <div style="text-align:center">
                <a  href="#" class="btn btn-success btn-w-m" data-project_id="{{project.pk}}" data-toggle="modal" data-target="#exampleModal"> Detalles </a>
                {% if is_student or is_teacher or is_teacher_up %}
                    <a href="{% url 'project_postulation' project.pk %}"><button type="button" class="btn btn-w-m btn-primary">Postular</button></a>
                {% else %}
                    <a href="{% url 'project_postulation' project.pk %}"><button type="button" class="btn btn-w-m btn-primary" disabled >Postular</button></a>
                {% endif %}
            </div>
        </div> 
    </div>
    {% endfor %}
</div>

<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <img alt="image" class="img-circle img-responsive center-block " src="{% static 'img/FaviconUNAB.png' %}">
                  <h1 class="text-center" id="titulo-proyecto"></h1>
              </div>
              <div class="modal-body">
                  <strong>Descripción</strong>
                  <div class="well">
                      <text id="description_project"></text>
                  </div>
                  <div class="row">
                    <div class="col-md-7">
                        <h5 id="cupos">
                            <strong>Cupos: </strong>
                            1/1
                        </h5>
                        <div class="progress progress-striped active" id="progress_cupo">
                            <div style="width: 100%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy">
                                <span class="sr-only">40% Complete (success)</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5" style="text-align:center;margin-top:22px;">
                        <a class="btn btn-warning btn-sm">Descargar Detalle
                            <i class="fa fa-download"></i>
                        </a>
                    </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id=autor>
                              <strong>Autor: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="facultad">
                              <strong>Facultad: </strong>
                          </h5>
                      </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id="carrera">
                              <strong>Carrera: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="profesor-guia">
                              <strong>Profesor Guía: </strong>
                          </h5>
                      </div>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->



{% endblock content %}


{% block javascript %}

<script>

     $('#exampleModal').on('show.bs.modal', function (event) {

            var button = $(event.relatedTarget) // Button that triggered the modal
            
            var project_id = button.data('project_id') // Extract info from data-* attributes
            var modal = $(this);

            // moredata: 'moredata',
            data = {
                project_id : project_id,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'project_detail' %}",data,function(response){
                project_name = 'Demo' ;
                modal.find('.modal-title').text('Detalle de projecto ' + project_id);
                $('#autor').html("<strong>Autor: </strong>" + response.autor);
                $('#description_project').html(response.descripcion);
                $('#titulo-proyecto').html(response.titulo)
                $('#carrera').html("<strong>Carrera: </strong>" + response.carrera)
                $('#facultad').html("<strong>Facultad: </strong>" + response.facultad)
                $('#profesor-guia').html("<strong>Profesor: </strong>" + response.profesor)
                $('#cupos').html("<strong>Cupos: </strong>" + response.cupos_disponible + "/" + response.cupos_total)
                var porcentaje = 100/response.cupos_total
                $('#progress_cupo').html('<div style="width:' + response.cupos_disponible*porcentaje +'%" aria-valuemax="' + response.cupos_total + '" aria-valuemin="0" aria-valuenow="' + response.cupos_disponible + '" role="progressbar" class="progress-bar progress-bar-navy"><span class="sr-only">40% Complete (success)</span></div>');
//                modal.find('.modal-body').html(html);
            });
        })

</script>

{% endblock javascript %}